<?php

namespace CodingMs\FluidFpdf\ViewHelpers;

use TYPO3Fluid\Fluid\Core\ViewHelper\AbstractViewHelper;
use FluidFpdf;

/**
 * Returns the length of a string in user unit. A font must be selected.
 *
 * @package TYPO3
 * @subpackage fluid_fpdf
 */
class GetStringWidthViewHelper extends AbstractViewHelper
{

    /**
     * @return void
     */
    public function initializeArguments()
    {
        $this->registerArgument('string', 'string', 'String to measure.', true, '');
    }

    /**
     * Returns the length of a string in user unit. A font must be selected.
     * @return  integer
     */
    public function render()
    {
        $string = utf8_decode($this->arguments['string']);
        /** @var FluidFpdf $fpdf */
        $fpdf = $this->templateVariableContainer->get('fpdf');
        $stringWidth = $fpdf->GetStringWidth($string);
        $this->renderChildren();
        return $stringWidth;
    }

}
